È ancora necessario distriggersre SSL keepalive, ecc. In Apache per tutti gli MSIE?

La configuration predefinita di Apache include qualcosa di simile in ssl.conf :

 SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown downgrade-1.0 force-response-1.0 

IE più recente richiede ancora tutte queste soluzioni?

3 Solutions collect form web for “È ancora necessario distriggersre SSL keepalive, ecc. In Apache per tutti gli MSIE?”

Il problema sembra che si concentri principalmente sul caricamento di file a un host tramite una session protetta SSL.

MS dice che è stato fissato come IE7. Annotato alla fine di questo articolo: http://blogs.technet.com/askperf/archive/2007/11/09/internet-explorer-and-ssl-closure-alerts.aspx

Se è ancora lì nell'ultima versione di Apache, mi sbaglio a fianco della caucanvas e tenerlo lì. Le performance colpite per il server e i client IE non sono così male da renderle impossibili all'accesso a parti del sito.

Questo è Apache 2.2 o precedenti. Se esaminate i file di configuration forniti con Apache 2.4 vednetworking che hanno cambiato questo a SetEnvIf User-Agent "MSIE [2-5]" ecc. Ovviamente non è un problema con IE dalla versione 6 in poi. Sono stato recentemente morso da esattamente questo problema: questo impostazione di default Apache ha rotto tutti i client MSIE di qualsiasi descrizione: tempi di login di oltre cinque minuti; alcune operazioni che non completano mai.

Non sono sicuro di chi sia colpevole, anche se alcuni crediti devono andare a Microsoft per fissarlo dopo solo 5 rilasci buggy per un periodo di soli sette anni.

Microsoft indica che si tratta di un block di versioni veramente vecchie e dovrebbe essere rimosso interamente. I commenti nel post sul blog tendono a farlo anche in questo caso. http://blogs.msdn.com/b/ieinternals/archive/2011/03/26/https-and-connection-close-is-your-apache-modssl-server-configuration-set-to-slow.aspx

Suggerimenti per Linux e Windows Server, quali Ubuntu, Centos, Apache, Nginx, Debian e argomenti di rete.